using System;

internal sealed class Delegate518 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate518 delegate518_1)
	{
		delegate518_1(object_0);
	}

	public extern Delegate518(object object_0, IntPtr intptr_0);

	static Delegate518()
	{
		Class10.smethod_13(typeof(Delegate518).TypeHandle);
	}

	internal static Delegate518 delegate518_0;
}
